from lib.all import *

phones = [
    "458B2D956651EC2424949A512D7B8052F73202B24367F8E4DE0B23FE4BCEC710",
    "5BFF3DD1C1708713CC259E9C965F22BD2CCBC52081C6A2EC38308CB363663DDB",
    "D1AADEB3ED368F81DC410EB265223465FFA3D77B80C6B336B22F96FE29778D85",
    "F447553EAA8E18D7CE4EC12641C8D80F44EC10F344E66F214563611969F469AA",
    "BF9AAC4CDB9C9779F28503E06C2169B0F43D5E818573A80AB925FB4D685FD79A",
    "6281B2CF4950BD450098C8D6B18D0785B04550AF34BBE47DACCE327FE800D2EE",
    "C4870B8A34CBD8487E447571BC163B94BB15911596415EC3A9F27C48A9F4520B",
    "7B1B854A29A00436E88E03CC79B20BA27460BCE7B12B4AED4936405BDECD0228",
    "D1019FD11D9CE6E00988FE1C0BA5E29CC97313837A0CD4AC44CA4ED6A0F57EFF",
    "5ED48DA4184F79707895DE5871D350D1FBFC165705C8001AE0332742A93C93D0",
    "C1C4E645B20099DEE434C5FB66C699569ACD252D4FF78F5D3489F093725B9051",
    "B0F14F2C68D545DC64B64BE9BD16FC062D27130BC8BCA736EB9345363AE8332F",
    "58ECDA439C51D699B4DCE24D105CA9E11D022424E6094C0B5A5FE024AFB10E16",
    "43BE47CB6D291A3D62F9E2C74B52049F382DF48BDD3680041788B5BA5184E571",
    "360E01D682129732B565C58ED34EBDC859C44017976F95BCA545856CAF14CE2E",
    "8D9B5B49F680B7C10FAF93771439040DB824C30CB89CC77787B0581A4DD604D2",
    "868AB7C9D18F60E9057D9A1A69FFE811F372C47E49B049C5A8265588EB7534F2",
    "31AE41728B9612D8D7F3B3DC1ACF61368EF1219BCA14940782C8F0CF9DF5738F",
    "70424CA5031C0C30157C0CC84F4E78E629B2EB3BC3C26AFCADC22A3E7FF461C2",
    "91537F690B3EE60B29F65B4C90B23BD117E1A23A35F3643A790BDADA98B7D153"
]


class S:
    def __init__(self):
        self.col_account = MongoDB(
            host="mongodb://root:Wishpal2024@dds-bp1da1ddd62bede41.mongodb.rds.aliyuncs.com:3717,dds-bp1da1ddd62bede42.mongodb.rds.aliyuncs.com:3717/admin?replicaSet=mgset-77304659",
            port=3717,
            db="account",
            collection="account"
        )
        self.col_login = MongoDB(
            host="mongodb://root:Wishpal2024@dds-bp1da1ddd62bede41.mongodb.rds.aliyuncs.com:3717,dds-bp1da1ddd62bede42.mongodb.rds.aliyuncs.com:3717/admin?replicaSet=mgset-77304659",
            port=3717,
            db="login",
            collection="login"
        )
        print(self.col_account)
        self.mysql_db_vas = Mysql(
            "rm-bp11t1616a1kjvmx5.mysql.rds.aliyuncs.com", 3306, "vas", "root", "Wishpal2024"
        )

    def __del__(self):
        self.col_account.close()
        self.col_login.close()
        self.mysql_db_vas.close()

    def get_orders(self, mid):
        sql = '''select id,order_status from vas_order where mid={}'''.format(mid)
        rows = self.mysql_db_vas.query(sql)
        return rows

    # def get_login(self, mid):
    #     q = {
    #         "mid": mid
    #     }
    #     self.col_account
    #

    def proc_one(self, phone_hash):
        q = {
            "phone_hash": phone_hash
        }
        prj = {
            "_id": 1,
            "ct": 1,
        }
        docs = self.col_account.find(query=q, projection=prj)
        sort_dict_list(docs, 'ct')
        first_mid = safe_get_int(docs[0], "_id")

        has_order_mids = list()
        to_delete_mids = list()
        for doc in docs:
            mid = safe_get_int(doc, "_id")
            if mid == first_mid:
                continue
            orders = self.get_orders(mid)
            if len(orders) > 0:
                has_order_mids.append(mid)
            else:
                to_delete_mids.append(mid)
        print(phone, has_order_mids)

        return

        del_acnt_cnt = 0
        del_login_cnt = 0
        for delmid in to_delete_mids:
            ret1 = self.col_account.delete_one({"_id": delmid})
            del_acnt_cnt += ret1.deleted_count

            ret2 = self.col_login.delete_one({"mid": delmid})
            del_login_cnt += ret2.deleted_count

        print(phone, len(docs), len(to_delete_mids), first_mid, del_acnt_cnt, del_login_cnt)


s = S()
for phone in phones:
    s.proc_one(phone)
